package com.dbxml.db.core.query.plan.logical;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: Value.java,v 1.3 2004/02/12 00:17:57 bradford Exp $
 */

import java.util.Date;

/**
 * Value
 */

public abstract class Value extends LogicalQueryNode {
   public static final BooleanValue newBooleanValue(boolean value) {
      return new BooleanValue(value);
   }

   public static final DateValue newDateValue(Date value) {
      return new DateValue(value);
   }

   public static final FloatValue newFloatValue(double value) {
      return new FloatValue(value);
   }

   public static final FloatValue newFloatValue(float value) {
      return new FloatValue(value);
   }

   public static final IntValue newIntValue(long value) {
      return new IntValue(value);
   }

   public static final IntValue newIntValue(int value) {
      return new IntValue(value);
   }

   public static final IntValue newIntValue(short value) {
      return new IntValue(value);
   }

   public static final IntValue newIntValue(char value) {
      return new IntValue(value);
   }

   public static final IntValue newIntValue(byte value) {
      return new IntValue(value);
   }

   public static final StringValue newStringValue(String value) {
      return new StringValue(value);
   }

   public static final StringValue newStringValue(StringBuffer value) {
      return new StringValue(value);
   }

   public static final ValueSet newValueSet() {
      return new ValueSet();
   }

   public static final ValueSet newValueSet(Value[] values) {
      return new ValueSet(values);
   }
}
